import httpRequest from '@/utils/axios'

// 内置数据集列表
export function getDatasetList(
  params?: Partial<{
    name: string
    industry: string
    source: string
    sensitivity_level: string
    access_permissions: string
    page: number
    'per-page': number
  }>
) {
  return httpRequest.get('/api/resource/bi/v1/data/built-in/list', { params })
}

// 复制数据集
export function copyDataset(data: { id: string; name: string; force: string }) {
  return httpRequest.post('/api/resource/bi/v1/data/my/copy-built-in', data)
}
